package com.zhongdao.jlr.business.service;

import com.util.Vo;
import com.zhongdao.jlr.pojo.EnterpriseJlr;
import org.json.JSONObject;

import javax.servlet.http.HttpServletRequest;

/***
 * 接口
 */

public interface EnterpriseService {

    /***
     * 查询经销商信息
     * @param name
     * @param abbrCode
     * @param page
     * @param rows
     * @return
     */
    Vo searchEnterprise(String name,String abbrCode,
                        Integer page, Integer rows);

    /**
     * 删除经销商信息
     */
    boolean deleteById(String id);

    /**
     * 新增或者修改经销商信息
     */
    boolean putEnterprise(EnterpriseJlr enterprise, String newPassword, String confirmPassword,String UID) throws Exception;

    /**
     * 根据ID获取经销商信息
     */
    public EnterpriseJlr getById(String id);


    /**
     * 获取经销商报表信息
     */
    JSONObject expordata(HttpServletRequest request, String name, String abbrCode);
}
